std::ranges::cartesian_product_view::iterator::operator[](3)

NAME
std::ranges::cartesian_product_view::iterator::operator[] - std::ranges::cartesian_product_view::iterator::operator[]

Synopsis
   constexpr reference operator[]( difference_type n ) const
       requires /*cartesian-product-is-random-access*/<Const, First, (since C++23)
   Vs...>;
   Returns an element at specified relative location. Equivalent to: return *((*this) +
   n);.

Parameters
   n - position relative to current location

Return value
   The element at displacement n relative to the current location.

Example
    This section is incomplete
    Reason: no example

See also
   operator* accesses the element
   (C++23) (public member function)

Category:
     * Todo no example